import { HttpClient } from '@angular/common/http';
import { BaseApiTemplateService, BasicApiResponseModel, ApiVisa, Pagination, PagingResponseModel } from '../../shared';
import { PriceBookContainerModel } from '../../../../../../models/aggregates/erp/price-book';
import { Observable } from 'rxjs';
import { bl_fi_mst_price_book_line_RowClass } from '../../../../../../models/dbschema';
export declare class PriceBookService extends BaseApiTemplateService<PriceBookContainerModel> {
    readonly url: string;
    constructor(http: HttpClient);
    postPrice(dtoObject: PriceBookContainerModel, visa: ApiVisa): Observable<BasicApiResponseModel<PriceBookContainerModel>>;
    getLine(visa: ApiVisa): Observable<BasicApiResponseModel<bl_fi_mst_price_book_line_RowClass>>;
    getByGuidLine(guid: string, visa: ApiVisa): Observable<BasicApiResponseModel<bl_fi_mst_price_book_line_RowClass>>;
    getByCriteriaLine(pagination: Pagination, visa: ApiVisa): Observable<PagingResponseModel<bl_fi_mst_price_book_line_RowClass>>;
    getByCriteriaWebsiteEp(pagination: Pagination, visa: ApiVisa, websiteHdrGuid: string): Observable<PagingResponseModel<PriceBookContainerModel>>;
}
